classification
Title: test_timeout() of test_multiprocessing_spawn.WithManagerTestBarrier fails randomly on x86 Windows7 3.x buildbot
Type: Stage: patch review
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: davin, miss-islington, pablogsal, vstinner, zach.ware
Priority: normal Keywords: buildbot, patch

Created on 2017-05-09 15:52 by vstinner, last changed 2018-08-03 22:13 by vstinner.

Pull Requests
URL Status Linked Edit
PR 1722 open davin, 2017-05-22 17:07
PR 7957 merged vstinner, 2018-06-27 08:48
PR 7958 merged miss-islington, 2018-06-27 09:06
PR 7959 merged miss-islington, 2018-06-27 09:07
PR 8621 merged vstinner, 2018-08-02 10:18
PR 8637 merged miss-islington, 2018-08-03 00:09
PR 8638 merged pablogsal, 2018-08-03 00:11
Messages (19)
msg293328 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-09 15:52
http://buildbot.python.org/all/builders/x86%20Windows7%203.x/builds/588/steps/test/logs/stdio

0:49:08 [225/405/1] test_multiprocessing_spawn failed
Process Process-59:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1385, in _test_timeout_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 1040, in wait
    return self._callmethod('wait', (timeout,))
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 774, in _callmethod
    raise convert_to_error(kind, result)
threading.BrokenBarrierError
Process Process-60:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1385, in _test_timeout_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 1040, in wait
    return self._callmethod('wait', (timeout,))
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 774, in _callmethod
    raise convert_to_error(kind, result)
threading.BrokenBarrierError
Process Process-62:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1385, in _test_timeout_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 1040, in wait
    return self._callmethod('wait', (timeout,))
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 774, in _callmethod
    raise convert_to_error(kind, result)
threading.BrokenBarrierError
Process Process-61:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1385, in _test_timeout_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 1040, in wait
    return self._callmethod('wait', (timeout,))
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 774, in _callmethod
    raise convert_to_error(kind, result)
threading.BrokenBarrierError
test_answer_challenge_auth_failure (test.test_multiprocessing_spawn.OtherTest) ... ok
test_deliver_challenge_auth_failure (test.test_multiprocessing_spawn.OtherTest) ... ok

(...)

======================================================================
ERROR: test_timeout (test.test_multiprocessing_spawn.WithManagerTestBarrier)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1399, in test_timeout
    self.run_threads(self._test_timeout_f, (self.barrier, results))
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1228, in run_threads
    f(*args)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1385, in _test_timeout_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 1040, in wait
    return self._callmethod('wait', (timeout,))
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\multiprocessing\managers.py", line 774, in _callmethod
    raise convert_to_error(kind, result)
threading.BrokenBarrierError

----------------------------------------------------------------------
Ran 277 tests in 762.297s

FAILED (errors=1, skipped=24)
test test_multiprocessing_spawn failed
msg293333 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-09 16:03
Other similar errors.

http://buildbot.python.org/all/builders/x86%20Windows7%203.6/builds/339/steps/test/logs/stdio

1:05:52 [382/405/1] test_multiprocessing_spawn failed -- running: test_mmap (556 sec)
Process Process-129:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1317, in _test_reset_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 603, in wait
    self._enter() # Block while the barrier drains.
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 627, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
Process Process-130:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1317, in _test_reset_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 603, in wait
    self._enter() # Block while the barrier drains.
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 627, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
Process Process-132:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1317, in _test_reset_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 603, in wait
    self._enter() # Block while the barrier drains.
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 627, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
Process Process-131:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 249, in _bootstrap
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\multiprocessing\process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1179, in task
    self.f(*self.args)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1317, in _test_reset_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 603, in wait
    self._enter() # Block while the barrier drains.
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 627, in _enter
    raise BrokenBarrierError
threading.BrokenBarrierError
test_answer_challenge_auth_failure (test.test_multiprocessing_spawn.OtherTest) ... ok
test_deliver_challenge_auth_failure (test.test_multiprocessing_spawn.OtherTest) ... ok

(...)

test_barrier_10 (test.test_multiprocessing_spawn.WithProcessesTestBarrier) ... ok
test_default_timeout (test.test_multiprocessing_spawn.WithProcessesTestBarrier) ... ok
test_reset (test.test_multiprocessing_spawn.WithProcessesTestBarrier) ... ERROR
test_single_thread (test.test_multiprocessing_spawn.WithProcessesTestBarrier) ... ok
test_thousand (test.test_multiprocessing_spawn.WithProcessesTestBarrier) ... ok

(...)

======================================================================
ERROR: test_reset (test.test_multiprocessing_spawn.WithProcessesTestBarrier)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1341, in test_reset
    (self.barrier, results1, results2, results3))
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1228, in run_threads
    f(*args)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1317, in _test_reset_f
    i = barrier.wait()
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 612, in wait
    self._wait(timeout)
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\threading.py", line 650, in _wait
    raise BrokenBarrierError
threading.BrokenBarrierError

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithProcessesTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 753, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.16138982772827148 not greater than or equal to 0.17

----------------------------------------------------------------------
Ran 277 tests in 579.477s
msg294166 - (view) Author: Davin Potts (davin) * (Python committer) Date: 2017-05-22 18:06
To better accommodate very slow buildbots, a parameter is added in PR-1722 to scale up the timeout durations where they are necessary on a per-machine basis.

Relevant tests have a timeout set to some default number of seconds times a multiplier value.

The multiplier value can be controlled by the environment variable 'CONF_TIMEOUT_MULTIPLIER' which defaults to a multiplier of 1.0 if not set.  On buildbots, this environment variable can be set by defining a parameter by that name in the buildbot configuration file for a machine.  Otherwise, this environment variable can be set in the usual way before running tests on non-buildbot machines.
msg296443 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-20 14:41
http://buildbot.python.org/all/builders/x86%20Windows7%203.x/builds/770/steps/test/logs/stdio

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithManagerTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 788, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.15492773056030273 not greater than or equal to 0.17

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithThreadsTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 788, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.16765165328979492 not greater than or equal to 0.17
msg296466 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-20 15:55
http://buildbot.python.org/all/builders/x86%20Windows7%203.5/builds/299/steps/test/logs/stdio

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithProcessesTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.5.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 753, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.1293318271636963 not greater than or equal to 0.17
msg296529 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-21 08:53
http://buildbot.python.org/all/builders/x86%20Windows7%203.x/builds/774/steps/test/logs/stdio



======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithProcessesTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 788, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.15966796875 not greater than or equal to 0.17

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithThreadsTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 788, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.1293318271636963 not greater than or equal to 0.17
msg317947 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-28 23:00
Recent failure on x86 Windows7 3.x:

http://buildbot.python.org/all/#/builders/58/builds/914

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithManagerTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1040, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.1373279094696045 not greater than or equal to 0.17
msg319413 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-06-12 23:52
New failure on x86 Windows7 3.x:

http://buildbot.python.org/all/#/builders/58/builds/1000
msg320058 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-20 10:30
http://buildbot.python.org/all/#/builders/90/builds/414

======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithThreadsTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 883, in test_timeout
    self.assertGreaterEqual(delta, 0.170)
AssertionError: 0.16714811325073242 not greater than or equal to 0.17
msg320556 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-27 09:04
New changeset f15f66d275d1166839312c9ff3a67c00b486c7d6 by Victor Stinner in branch 'master':
bpo-30317, test_multiprocessing: fix test_timeout() (GH-7957)
https://github.com/python/cpython/commit/f15f66d275d1166839312c9ff3a67c00b486c7d6
msg320557 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-27 09:09
Note: Python 2.7 doesn't have the test_timeout() test on queues.
msg320559 - (view) Author: miss-islington (miss-islington) Date: 2018-06-27 09:22
New changeset 8eac0b8ed56115a1aa315f171b61e7164c6fbeb4 by Miss Islington (bot) in branch '3.7':
bpo-30317, test_multiprocessing: fix test_timeout() (GH-7957)
https://github.com/python/cpython/commit/8eac0b8ed56115a1aa315f171b61e7164c6fbeb4
msg320561 - (view) Author: miss-islington (miss-islington) Date: 2018-06-27 09:33
New changeset 6abf8c171760209d95e8a1ff28c211ae541e29ce by Miss Islington (bot) in branch '3.6':
bpo-30317, test_multiprocessing: fix test_timeout() (GH-7957)
https://github.com/python/cpython/commit/6abf8c171760209d95e8a1ff28c211ae541e29ce
msg322934 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-02 10:02
New failure on x86 Windows7 3.x:

https://buildbot.python.org/all/#/builders/58/builds/1174

test_timeout (test.test_multiprocessing_spawn.WithThreadsTestSemaphore) ... skipped 'test not appropriate for threads'
test test_multiprocessing_spawn failed
test_import (test.test_multiprocessing_spawn._TestImportStar) ... ok
======================================================================
FAIL: test_timeout (test.test_multiprocessing_spawn.WithProcessesTestQueue)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1044, in test_timeout
    self.assertGreaterEqual(delta, 0.150)
AssertionError: 0.13579845428466797 not greater than or equal to 0.15
----------------------------------------------------------------------
Ran 311 tests in 495.714s
FAILED (failures=1, skipped=37)
1 test failed again:
    test_multiprocessing_spawn
== Tests result: FAILURE then FAILURE ==
msg323003 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-03 00:04
Seems the same issue as in:

https://buildbot.python.org/all/#/builders/58/builds/1181

test_fd_transfer (test.test_multiprocessing_spawn.WithThreadsTestConnection) ... skipped 'only makes sense with processes'
Timeout (0:15:00)!
Thread 0x000008d4 (most recent call first):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\runner.py", line 56 in startTest
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\case.py", line 588 in run
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\case.py", line 663 in __call__
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\suite.py", line 122 in run
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\suite.py", line 122 in run
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\suite.py", line 122 in run
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\unittest\runner.py", line 176 in run
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\support\__init__.py", line 1883 in _run_suite
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\support\__init__.py", line 1973 in run_unittest
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\runtest.py", line 175 in test_runner
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\runtest.py", line 179 in runtest_inner
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\runtest.py", line 140 in runtest
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\main.py", line 286 in rerun_failed_tests
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\main.py", line 570 in _main
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\main.py", line 531 in main
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\libregrtest\main.py", line 584 in main
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\__main__.py", line 2 in <module>
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\runpy.py", line 85 in _run_code
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\runpy.py", line 193 in _run_module_as_main
program finished with exit code 1
elapsedTime=5998.222000
test_large_fd_transfer (test.test_multiprocessing_spawn.WithThreadsTestConnection) ...
msg323005 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-03 00:09
New changeset 5640d030e100aade54210034828b711c3b506b18 by Pablo Galindo (Victor Stinner) in branch 'master':
bpo-30317: Fix multiprocessing test_timeout() (GH-8621)
https://github.com/python/cpython/commit/5640d030e100aade54210034828b711c3b506b18
msg323006 - (view) Author: miss-islington (miss-islington) Date: 2018-08-03 00:27
New changeset 50d78677899d315c17dc9a14d2f94a013046c71a by Miss Islington (bot) in branch '3.7':
bpo-30317: Fix multiprocessing test_timeout() (GH-8621)
https://github.com/python/cpython/commit/50d78677899d315c17dc9a14d2f94a013046c71a
msg323076 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-03 21:00
New changeset f0e3da8814259283e8f3d53ad3d9735ffc273e00 by Pablo Galindo in branch '3.6':
bpo-30317: Fix multiprocessing test_timeout() (GH-8621)
https://github.com/python/cpython/commit/f0e3da8814259283e8f3d53ad3d9735ffc273e00
msg323090 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-08-03 22:13
Oh. Now I understand why I'm confused. _test_multiprocessing.py in master has not less than 5 methods with the same name: test_timeout()!
History
Date User Action Args
2018-08-03 22:13:42vstinnersetmessages: + msg323090
2018-08-03 21:00:58pablogsalsetmessages: + msg323076
2018-08-03 00:27:01miss-islingtonsetmessages: + msg323006
2018-08-03 00:11:47pablogsalsetpull_requests: + pull_request8142
2018-08-03 00:09:39miss-islingtonsetpull_requests: + pull_request8141
2018-08-03 00:09:05pablogsalsetmessages: + msg323005
2018-08-03 00:04:10pablogsalsetmessages: + msg323003
2018-08-02 10:18:32vstinnersetpull_requests: + pull_request8126
2018-08-02 10:02:33pablogsalsetmessages: + msg322934
2018-06-27 21:40:46vstinnerunlinkissue30339 dependencies
2018-06-27 09:33:42miss-islingtonsetmessages: + msg320561
2018-06-27 09:22:49miss-islingtonsetnosy: + miss-islington
messages: + msg320559
2018-06-27 09:09:19vstinnersetmessages: + msg320557
versions: + Python 3.6
2018-06-27 09:07:00miss-islingtonsetpull_requests: + pull_request7566
2018-06-27 09:06:07miss-islingtonsetpull_requests: + pull_request7565
2018-06-27 09:04:55vstinnersetmessages: + msg320556
2018-06-27 08:48:05vstinnersetkeywords: + patch
pull_requests: + pull_request7564
2018-06-20 10:30:58vstinnersetmessages: + msg320058
2018-06-12 23:52:30pablogsalsetnosy: + pablogsal
messages: + msg319413
2018-05-28 23:04:12ned.deilysetversions: + Python 3.8
2018-05-28 23:00:54vstinnersetmessages: + msg317947
2017-06-21 08:53:26vstinnersetmessages: + msg296529
2017-06-20 15:55:20vstinnersetmessages: + msg296466
2017-06-20 14:41:47vstinnersetmessages: + msg296443
2017-05-22 18:10:13davinlinkissue30339 dependencies
2017-05-22 18:06:05davinsetnosy: + davin, zach.ware

messages: + msg294166
stage: patch review
2017-05-22 17:07:08davinsetpull_requests: + pull_request1810
2017-05-09 16:03:38vstinnersetmessages: + msg293333
2017-05-09 15:52:59vstinnercreate